Bug 1560599 (CVE-2017-15710) - CVE-2017-15710 httpd: Out of bounds write in mod_authnz_ldap when using too small Accept-Language values
Summary: CVE-2017-15710 httpd: Out of bounds write in mod_authnz_ldap when using too s...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-15710
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20180324,reported=2...
Depends On: 1565465 1560601 1560616 1565464 1565466
Blocks: 1560402
TreeView+ depends on / blocked
 
Reported: 2018-03-26 14:28 UTC by Adam Mariš
Modified: 2019-08-22 10:14 UTC (History)
33 users (show)

Fixed In Version: httpd 2.4.30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:18:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3558 None None None 2018-11-13 08:36:00 UTC
Red Hat Product Errata RHSA-2019:0366 None None None 2019-02-18 16:55:44 UTC
Red Hat Product Errata RHSA-2019:0367 None None None 2019-02-18 16:58:24 UTC

Description Adam Mariš 2018-03-26 14:28:27 UTC
mod_authnz_ldap, if configured with AuthLDAPCharsetConfig, uses the Accept-Language header value to lookup the right charset encoding when verifying the user's credentials. If the header value is not present in the charset conversion table, a fallback mechanism is used to truncate it to a two characters value to allow a quick retry (for example, 'en-US' is truncated to 'en'). A header value of less than two characters forces an out of bound write of one NUL byte to a memory location that is not part of the string. In the worst case, quite unlikely, the process would crash which could be used as a Denial of Service attack. In the more likely case, this memory is already reserved for future use and the issue has no effect at all.

Versions Affected:
httpd 2.0.23 to 2.0.65
httpd 2.2.0 to 2.2.34
httpd 2.4.0 to 2.4.29

External References:

https://httpd.apache.org/security/vulnerabilities_24.html

Comment 2 Adam Mariš 2018-03-26 15:03:58 UTC
Created httpd tracking bugs for this issue:

Affects: fedora-all [bug 1560616]

Comment 5 Huzaifa S. Sidhpurwala 2018-04-10 04:56:23 UTC
Upstream commit:

http://svn.apache.org/viewvc?view=revision&revision=1824336

Comment 11 errata-xmlrpc 2018-11-13 08:35:45 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS

Via RHSA-2018:3558 https://access.redhat.com/errata/RHSA-2018:3558

Comment 12 errata-xmlrpc 2019-02-18 16:55:42 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Core Services

Via RHSA-2019:0366 https://access.redhat.com/errata/RHSA-2019:0366

Comment 13 errata-xmlrpc 2019-02-18 16:58:23 UTC
This issue has been addressed in the following products:

  JBoss Core Services on RHEL 6
  JBoss Core Services on RHEL 7

Via RHSA-2019:0367 https://access.redhat.com/errata/RHSA-2019:0367


Note You need to log in before you can comment on or make changes to this bug.